gradle (2.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Transition to Jetty 9 (patch imported from Fedora, thanks to Michal Srb)
  * Modified the Groovy jar detection logic to recognize the jar
    in the system Maven repository

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2016 22:10:23 +0200

gradle (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 May 2016 10:33:01 +0200

gradle (2.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Install the new gradle-testing-base and gradle-testing-jvm artifacts
  * Removed the unused dependency on libclassworlds-java
  * Depend on libasm-java instead of libasm4-java
  * Depend on libcglib-nodep-java instead of libcglib3-java
  * Depend on groovy instead of groovy2

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 08:57:42 +0200

gradle (2.10-2) unstable; urgency=medium

  * Team upload.
  * Fixed the CycleDetectedException when installing Maven artifacts.
    Thanks to Mikolaj Izdebski for the patch. (Closes: #810817)
  * Removed disable_java9.diff (no longer required)
  * Removed 26_disable_commitid.diff (not required)
  * Replaced disable_release_notes.diff with a task exclusion parameter
  * Moved aether dependencies changes to eclipse-aether.diff
  * Merged maven-aether-provider.diff into eclipse-aether.diff
  * Merged maven_builder_support.diff into maven-3.3.9-compatibility.patch
  * Removed unnecessary changes performed by use_local_artifacts.diff
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Mar 2016 15:17:36 +0100

gradle (2.10-1) unstable; urgency=medium

  * New upstream release
    - Update manpage
  * Drop the use of javahelper since it never works well with maven-repo-helper
  * d/generate_classpath.gradle: Sort classpaths for reproducibility
  * drop d/patches/disable_distributions.diff: Unnecessary

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 21 Jan 2016 15:55:53 +0800

gradle (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Apply the java plugin in debian/generate-classpath.gradle

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Jan 2016 17:56:19 +0100

gradle (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Lintian overrides libgradle-core-java
  * Re-use the faster clean logic from gradle-debian-helper
  * Build depend on libspock-java >= 0.7 and drop disable_buildSrc_tests.diff

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Dec 2015 15:00:47 +0100

gradle (2.7-4) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Fixed the compatibility with Maven 3.3.9 by adding commons-lang3
    to the classpath

  [ Kai-Chung Yan ]
  * Removed the Debian revision from the version number in the manpage

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Nov 2015 13:14:44 +0100

gradle (2.7-3) unstable; urgency=medium

  * Team upload.
  * Drop use-bndlib-1.50.0.patch and transition to bnd 2.1.0.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 20:41:57 +0100

gradle (2.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove mh_linkjars override. Apparently the override makes no
    difference.
  * Add ivy-2.4.0.patch and fix FTBFS with ivy 2.4.0. Thanks to
    Christ West for the report and Mikołaj Izdebski for the patch.
    (Closes: #804470)

 -- Markus Koschany <apo@gambaru.de>  Wed, 11 Nov 2015 21:55:31 +0100

gradle (2.7-1) unstable; urgency=low

  [ Kai-Chung Yan ]
  * New upstream release
  * d/copyright: Simplify file exclusion pattern with *.min.js
  * Remove maven_testng.diff: No longer needed.
  * d/control:
    - Remove maven from Build-Depends
    - Add libcglib3-java to Build-Depends
    - Build-Depends on gradle (>= 2.5)
    - Add dh-exec to Build-Depends
    - Add java6-runtime-headless to Depends as an option
    - Replace dependencies of libservlet2.5-java and libtomcat7-java with
      libservlet3.1-java and libtomcat8-java
    - Add default-jre to Suggests and document it in the description
    - Remove all Recommends
  * d/rules: No need to copy gradle-core codes to buildSrc
  * Remove fix_DocGenerationException.diff: No longer needed
  * Update maven_jcommander.diff to jcommander.diff
  * Remove build_init.diff: Obsolete
  * Remove taskOrdering.diff: Obsolete
  * d/rules: Update parallel Gradle usage
  * Add an application menu entry for Gradle GUI
  * Add symlinks to all Gradle jars in /usr/share/gradle, making a pseudo
    making a pseudo Gradle installation
  * New d/generate-classpath.gradle: Auto generate
    classpath attributes to jar manifest
  * Refresh use_local_artifacts.diff and jetty.diff to migrate to Tomcat 8
    (Closes: #801014)
  * New d/generate-pom.gradle: Auto generate POMs and install to maven-repo

  [ Emmanuel Bourg ]
  * debian/watch: Exclude the release candidates from the versions reported

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 26 Oct 2015 16:31:38 +0100

gradle (2.5-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Mon, 17 Aug 2015 20:02:49 +0200

gradle (2.5-2) experimental; urgency=medium

  [ Markus Koschany ]
  * Add use-bndlib-1.50.0.patch and switch to bnd 1.50.0, so that Gradle can be
    uploaded to unstable.
  * debian/control: Remove versioned dependency of bnd.

  [ Kai-Chung Yan ]
  * New maven_builder_support.diff: maven-builder-support.jar is also needed
  * use_local_artifacts.diff: Remove version of plexus-cipher and
    plexus-sec-dispatcher
  * d/gradle.1.md: Correct typo and update version

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 14 Aug 2015 23:55:50 +0800

gradle (2.5-1) experimental; urgency=low

  * New upstream release (Closes: #754725)
  * d/control: Remove libmaven2-core-java(-doc)
               Remove bintray-client-java
               Change Groovy dependencies to groovy2 (>= 2.3.10)
               Remove groovy from Build-Conflicts
               Remove libjna-posix-java
               Remove ant-optional
               Remove libplexus-container-default-java
               Change maven to libmaven3-core-java (>= 3.3.3)
  * d/watch: Watch services.gradle.org
  * d/copyright: Add Files-Excluded for uscan
  * d/rules: Simplify get-orig-source target
  * Drop multiple patches under d/patches/:
    - 03_plexus.diff: Files not exist
    - 11_fix_jni_path.diff: Files not exist
    - 35_ivy_23.diff: Files not exist
    - 36_java8_compatibility.diff: Files not exist
    - 37_replace_internal_testng_api.diff: Files not exist
    - 38_use_jdk7_nio_file_api.diff: Files not exist
    - 39_ignore_test_processor_assertion.diff: Files not exist
    - bintray_api.diff: No longer use bintray
    - bintray_dependencies.diff: No longer use bintray
    - diagnostics_jquery.diff: Minified .js not exist
    - disable_css3pie.diff: No longer use css3pie
    - remove_test_dependencies.diff: Integrated into disable_tests.diff
  * Multiple new patches under debian/patches/:
    - disable_aws.diff: AWS SDK for Java is not in Debian
    - disable_java9.diff: java9.gradle causes errors
    - taskOrdering.diff: shouldRunAfter() is not in Gradle 1.5
    - maven_depends.diff: Maven module uses jcommander but does not declare
    - maven_testng.diff: Maven module uses a deprecated API from testng
    - nekohtml.diff: Fix nekohtml usage
    - relax_warnings.diff: strictCompile.gradle is too strict
    - eclipse-aether.diff: Original aether is deprecated
    - maven-aether-provider.diff: Used deprecated API of maven-aether-provider
  * gradle-doc no longer provides Gradle User Guide and DSL Reference because
    missing Sonar plugins cause their compilation to produce errors.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 13 Jul 2015 22:47:30 +0200

gradle (1.12-1) experimental; urgency=medium

  * New upstream release (Closes: #733148)
  * d/control: Refresh multiple Build-Depends and Depends
  * d/control: Add myself as Uploaders (Closes: #683666)
  * d/bootstrap: Use Gradle 1.5 for bootstrap
  * d/gradle.1.md: Updated man page for gradle using Pandoc Markdown
  * Remove most symlinks to external jar files
  * Install multiple doc-base for all documentations
  * Move jars between packages
    - gradle-cli.jar from gradle to libgradle-core-java
    - gradle-open-api.jar from gradle to libgradle-core-java
    - gradle-messaging.jar from gradle to libgradle-core-java
    - gradle-native.jar from gradle to libgradle-core-java
    - gradle-tooling-api.jar from gradle to libgradle-core-java
  * Drop multiple patches under debian/patches/:
    - 13_fix_javadocs_links.diff: Already merged into docs.diff
    - 23_replace_jna-posix_with_jnr-posix.diff: Future Gradle no longer use jnr
    - 24_pegdown.diff: Pegdown is already in Debian
    - 27_maven.diff: Already merged into use_local_artifacts.diff
    - 28_findbugs.diff: Findbugs is already in Debian
    - 31_hamcrest_12.diff: This patch is for tests codes, hence not needed
    - 90_respect_user_java_home.diff: No longer needed in Gradle 1.12
  * Multiple new patches under debian/patches/
    - bintray-api.diff: Update the usage of bintray APIs 0.8.1
    - bintray-dependencies.diff: bintray libraries are renamed in 0.8.1
    - build_init.diff: build-init.gradle uses APIs higher than Gradle 1.5
    - diagnostics_jquery.diff: Use local jQuery instead of shipping one
    - disable_buildSrc_tests.diff: Disable buildSrc tests
    - disable_distributions.diff: Disable the tasks to generate a Zip file
    - disable_docs.diff: Temporarily disable Gradle documentations
    - disable_sonar.diff: Updated version of 02_sonar.diff
    - disable_tests.diff: Extended version of 32_disable_it.diff
    - fix_DocGenerationException.diff:
    - jetty.diff: Replace some Jetty libraries with existing ones
    - remove_test_depedencies.diff: Remove dependencies for building tests
    - search_system_jar.diff: Let Gradle search Java libraries in
      /usr/share/java/
    - use_local_artifacts.diff: Updated version of 01_use_debian_jars.diff

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 26 Jun 2015 23:44:30 +0200

gradle (1.5-3) unstable; urgency=medium

  * Team upload.
  * Fixed a compatibility issue with testng 6.9
  * Use the JDK 7 API for the chmod/stat operations until jnr-posix
    is fixed in sid
  * Removed a failing assertion in JUnitTestEventAdapter

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Jun 2015 14:40:27 +0200

gradle (1.5-2) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure caused by the transition of libspock-java to cglib3
  * Added an explicit build dependency on libaether-java
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 09:45:56 +0200

gradle (1.5-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * New upstream release
    - Added a build dependency on libjatl-java
    - Refreshed the patches
  * Fixed a compilation error with Java 8
  * Standards-Version updated to 3.9.5 (no changes)
  * Updated the version of Guava used to fix a clean error
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

  [ Miguel Landaeta ]
  * Add patch to don't override user defined JAVA_HOME in the gradle script.
    (Closes: #719814).
  * Fix possible-unindented-list-in-extended-description lintian tag.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 13 May 2014 17:38:10 -0300

gradle (1.4-2) unstable; urgency=low

  * Fix compatibility with Apache Ivy 2.3 (Closes: #713171):
    - d/patches/35_ivy_23.diff: fix FTBFS on downloadRepositoryResource method
    - d/control: {Build,}-Depends on ivy (>= 2.3)
  * d/patches/34_disable_code_quality.diff: Disable some code analysis check
    to speed-up package build.
  * d/control: Merge Depends/Recommends field because Gradle just fails on
    missing dependencies (event if module is not used by user).
    (Closes: #718960, #707764).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 11 Aug 2013 16:13:00 +0200

gradle (1.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Merge all plugins packages into gradle-plugins: there is not real value
    in providing all those small packages since libgradle-core-java Depends
    on most of plugins dependencies.
  * d/control: Build-Depends on libasm4-java instead of libasm3-java.
  * d/control: Add Build-Depends on libnative-platform-java and
    libnative-platform-jni.
  * d/control: Build-Depends on libjarjar-java (>= 1.4+svn142-1) to build
    Gradle with jarjar which handle correctly updating the fully qualified
    class names in the jar's resources. Otherwise, we get errors during plexus
    startup.
  * d/rules: Add support for DEB_BUILD_OPTIONS parallel=n using new Gradle
    parallel feature.
  * d/control: Add Build-Depends on libkryo-java.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * d/control: Use canonical URL for Vcs-* fields.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 05 Feb 2013 23:38:19 +0100

gradle (1.1-1) experimental; urgency=low

  * New upstream release (Closes: #667077).

  [ Miguel Landaeta ]
  * Replace dependencies on jna-posix library with jnr-posix. (Closes: #628662).

  [ Damien Raude-Morvan ]
  * d/control: Add myself as Uploader.
  * d/control: Depends and B-D on new groovy (>= 1.8) (Closes: #637273).
  * Update all patches for new Gradle 1.1:
    - Drop d/patches/12_fix_missing_classpath.diff since its not needed anymore.
  * d/control: Replace B-D on libcommons-httpclient-java to libhttpclient-java.
  * d/control: Replace B-D on libgoogle-collections-java to libguava-java.
  * d/control: Add B-D on libjarjar-java,
    libjcifs-java, libjcip-annotations-java.
  * d/control: Drop B-D on libjoptsimple-java and libjzlib-java.
  * d/control: Replace B-D on maven (>= 3.0.4-4) instead of libmaven2-*.
  * d/bootstrap.sh: Update to Gradle 1.1 and add Provides for libraries.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Generate documentation:
    - d/patches/21_docs.diff: Fix links in docbook files.
    - Add B-D on docbook-xsl for documentation export.
    - Add B-D on libxalan2-java, libxerces2-java, libxslthl-java
      and libcore-renderer-java.
  * Enable new modules module cpp, ear, javascript, signing:
    - Add B-D on libbcpg-java and libbcprov-java.
    - Add B-D on librhino-java, libgoogle-gson-java.
  * Tomcat 6 / 7 compatibility (Closes: #683595):
    - Depends in libservlet2.5-java and libecj-java instead of libtomcat6-java.
  * Include new d/watch from Bart Martens <bartm@debian.org>.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 26 Dec 2012 23:52:01 +0100

gradle (1.0~m3-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS bug due to changes introduced in recent Groovy versions.
    (Closes: #625767).
  * Refresh patches.
  * Drop libgradle-eclipse-java and libgradle-idea-java packages.
  * Add libgradle-ide-java package.
  * Set Ant >= 1.8 as the minimal version to depend on.
  * Add Depends on bsh and libtomcat6-java.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Update watch file.
  * Fix missing-classpath lintian warnings.
  * Update copyright dates and make it DEP-5 compliant.
  * Add README.source.
  * Link javadocs to system javadocs.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 31 May 2011 00:47:16 +0200

gradle (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Refresh patches.
  * Add Build-Depends on libgradle-maven-java.
  * Update watch file.
  * Update copyright dates.
  * Drop unneeded patch for liblogback-java and set (>= 0.9.28) as
    minimal version to depend on.
  * Drop Build-Depends on quilt.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 26 Mar 2011 23:07:59 +0100

gradle (0.9.1-1) experimental; urgency=low

  * Initial release. (Closes: #587832).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 04 Jan 2011 19:43:27 -0430
